//  Copyright (C) University of Vienna, 2013-2015
//  All rights reserved.
//
//  Author: Ali Baharev
//
//  Please refer to the LICENSE.txt file in the top directory
//
package sdms;

import java.util.ArrayList;

public interface CandidateSelector {
    
    void selectMostPromisingCandidates(ArrayList<Solution> partialSolutions, int pointsToPropagate, double infeasibilityWeight);
    
    void selectMostPromisingOnlyByDistance(ArrayList<Solution> partialSolutions, int pointsToPropagate, double INFEAS_REG);
    
    ArrayList<Solution> getSelectedOnes();
    
}
