//  Copyright (C) University of Vienna, 2013-2015
//  All rights reserved.
//
//  Author: Ali Baharev
//
//  Please refer to the LICENSE.txt file in the top directory
//
package sdms;

import java.util.List;
import java.util.TreeMap;

public interface Plotter {

    void writePartialSolutions(List<Solution> solutions);
    
    void writeNearestSolutions(List<TreeMap<String,Double>> solutions);
    
    void writeReferenceSolutions(List<TreeMap<String,Double>> solutions);
    
    void done(String subProbsLogFile, String fullProbLogFile);
}
