//  Copyright (C) University of Vienna, 2013-2015
//  All rights reserved.
//
//  Author: Ali Baharev
//
//  Please refer to the LICENSE.txt file in the top directory
//
package sdms.impl;

import java.util.List;
import java.util.TreeMap;

import sdms.Plotter;
import sdms.Solution;

final class PlotterDoesNothing implements Plotter {

    @Override
    public void writePartialSolutions(@SuppressWarnings("unused") List<Solution> solutions) {  }

    @Override
    public void done(@SuppressWarnings("unused") String subProbsLogFile, 
                     @SuppressWarnings("unused") String fullProbLogFile) {  }

    @Override
    public void writeNearestSolutions(@SuppressWarnings("unused") List<TreeMap<String, Double>> solutions) { }
    
    @Override
    public void writeReferenceSolutions(@SuppressWarnings("unused") List<TreeMap<String,Double>> solutions) { }

}
